import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import javax.swing.*;
/**
 * Write a description of class HorseB here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HorseB extends Animal
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    /**
     * Act - do whatever the HorseB wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public HorseB()
    {
        image1 = new GreenfootImage ("horse1B.fw.png");
        image2 = new GreenfootImage ("horse2B.fw.png");
        setImage(image1);
    }
    public void act() 
    {
        checkForWinner();
        move();
        switchImage();
    }    
    public void checkForWinner()
    {
        if (getOneIntersectingObject(Finish.class) != null)
        {
            Greenfoot.playSound("fanfare.wav");
            JOptionPane.showMessageDialog(null, "The winner is Blue!");
            Greenfoot.stop();
        }
    }
    public void move()
    {
        if (Greenfoot.isKeyDown("c"))
        {
            moveRandom();
        }
    }
    public void switchImage()
    {
        if (Greenfoot.isKeyDown("c"))
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
    }
}
