import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import javax.swing.*;
/**
 * Write a description of class HorseR here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HorseR extends Animal
{
    private GreenfootImage image1; //makes horse movement fluent
    private GreenfootImage image2;
    /**
     * Act - do whatever the HorseR wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public HorseR()
    {
        image1 = new GreenfootImage ("horse1R.fw.png");
        image2 = new GreenfootImage ("horse2R.fw.png");
        setImage(image1);
    }
    public void act() 
    {
        checkForWinner();
        move();
        switchImage();
    }
    public void checkForWinner()
    {
        if (getOneIntersectingObject(Finish.class) != null)
        {
            Greenfoot.playSound("fanfare.wav");
            JOptionPane.showMessageDialog(null, "The winner is Red!");
            Greenfoot.stop();
        }
    }
    public void move()
    {
        if (Greenfoot.isKeyDown("1"))
        {
            moveRandom();
        }
    }
    public void switchImage()
    {
        if (Greenfoot.isKeyDown("1"))
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
    }
}
