import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)
import javax.swing.*;
/**
 * Write a description of class HorseY here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class HorseY extends Animal
{
    private GreenfootImage image1;
    private GreenfootImage image2;
    /**
     * Act - do whatever the HorseY wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    public HorseY()
    {
        image1 = new GreenfootImage ("horse1Y.fw.png");
        image2 = new GreenfootImage ("horse2Y.fw.png");
        setImage(image1);
    }
    public void act() 
    {
        checkForWinner();
        move();
        switchImage();
    }    
    public void checkForWinner()
    {
         if (getOneIntersectingObject(Finish.class) != null)
         {
             Greenfoot.playSound("fanfare.wav");
             JOptionPane.showMessageDialog(null, "The winner is Yellow!");
             Greenfoot.stop();
         }
    }
    public void move()
    {
        if (Greenfoot.isKeyDown("7"))
        {
            moveRandom();
        }
    }
    public void switchImage()
    {
        if (Greenfoot.isKeyDown("7"))
        {
            setImage(image2);
        }
        else
        {
            setImage(image1);
        }
    }
}
